/*
 * This is a programm for Morse.
 * 
 * Copyright (C) 2014 - 2015  Marcel Michael Kapfer (marcelmichaelkapfer@yahoo.co.nz)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation  version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 * 
 * Version: 1.1.0
 * 
 */

package de.marcel_kapfer.c.morseconverter;

import java.awt.BorderLayout;
import java.awt.FlowLayout;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JLabel;
import javax.swing.border.TitledBorder;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.util.ResourceBundle;

public class HowTo extends JDialog {
	private static final ResourceBundle BUNDLE = ResourceBundle.getBundle("de.marcel_kapfer.c.morseconverter.strings"); //$NON-NLS-1$

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private final JPanel contentPanel = new JPanel();

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		try {
			HowTo dialog = new HowTo();
			dialog.setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
			dialog.setVisible(true);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	/**
	 * Create the dialog.
	 */
	public HowTo() {
		setTitle(BUNDLE.getString("HowTo.this.title")); //$NON-NLS-1$
		setUndecorated(true);
		setBounds(100, 100, 579, 128);
		getContentPane().setLayout(new BorderLayout());
		contentPanel.setBorder(new EmptyBorder(5, 5, 5, 5));
		getContentPane().add(contentPanel, BorderLayout.CENTER);
		contentPanel.setLayout(null);
		{
			JPanel jPanel = new JPanel();
			jPanel.setBorder(new TitledBorder(null, BUNDLE.getString("HowTo.jPanel.borderTitle"), TitledBorder.LEADING, TitledBorder.TOP, null, null)); //$NON-NLS-1$
			jPanel.setBounds(5, 12, 562, 68);
			contentPanel.add(jPanel);
			jPanel.setLayout(null);
			{
				JLabel lblIntro = new JLabel(BUNDLE.getString("HowTo.lblIntro.text")); //$NON-NLS-1$
				lblIntro.setBounds(5, 17, 448, 15);
				jPanel.add(lblIntro);
			}
			{
				JLabel lblHttpwwwmarcelkapferdeprojectsmorseindexhtmlhowto = new JLabel(BUNDLE.getString("HowTo.lblHttpwwwmarcelkapferdeprojectsmorseindexhtmlhowto.text")); //$NON-NLS-1$
				lblHttpwwwmarcelkapferdeprojectsmorseindexhtmlhowto.setBounds(5, 41, 545, 15);
				jPanel.add(lblHttpwwwmarcelkapferdeprojectsmorseindexhtmlhowto);
			} 
		}
		{
			JPanel buttonPane = new JPanel();
			buttonPane.setLayout(new FlowLayout(FlowLayout.RIGHT));
			getContentPane().add(buttonPane, BorderLayout.SOUTH);
			{
				JButton cancelButton = new JButton(BUNDLE.getString("HowTo.cancelButton.text")); //$NON-NLS-1$
				cancelButton.addActionListener(new ActionListener() {
					public void actionPerformed(ActionEvent e) {
						setVisible(false);
						dispose();
					}
				});
				cancelButton.setActionCommand(BUNDLE.getString("HowTo.cancelButton.actionCommand")); //$NON-NLS-1$
				buttonPane.add(cancelButton);
			}
		}
	}

}
